Skip to main content
GET
/
tax
/
accounts
/
{accountId}
/
transactions
List Deposit Transactions for Account
curl --request GET \
  --url https://api.anchorage-staging.com/v2/tax/accounts/{accountId}/transactions \
  --header 'Api-Access-Key: <api-key>'
{
  "data": [
    {
      "assetType": "BTC",
      "id": "9cd9f4d4-078b-4e44-a308-7662fec0f546",
      "receivedAssets": [
        {
          "quantity": "1.0",
          "acquisitionDatetime": "2023-11-07T05:31:56Z",
          "costBasis": "2500"
        }
      ],
      "transactionTime": "2022-07-30T22:15:31.99999Z",
      "externalId": "9be748be-d760-4d36-90f8-86b699c4e8bd"
    }
  ],
  "page": {
    "next": "<next page url>"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

accountId
string
required

The ID of the tax account

Query Parameters

startDate
string<date>

The start date (inclusive) in YYYY-MM-DD format. Dates are always in UTC RFC 3339 'full-date'.

endDate
string<date>

The end date (inclusive) in YYYY-MM-DD format. Dates are always in UTC RFC 3339 'full-date'.

limit
integer<int64>
default:25

Maximum number of results to return per query

Required range: 1 <= x <= 100
afterId
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

hasCostBasis
boolean

Filter deposit transactions by cost basis presence. Set to true to return only transactions with cost basis, false for transactions without cost basis, or omit to return all transactions regardless of cost basis.

Response

Successfully returned list of deposit transactions for the tax account

data
object[]
required
page
Page · object
required

Pagination info